# Generated from grape-instrumentation-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name grape-instrumentation

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: OpenTracing instrumentation for Grape
License: Apache-2.0
URL: https://github.com/signalfx/ruby-grape-instrumentation
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(appraisal) >= 2.2
# BuildRequires: rubygem(appraisal) < 3
# BuildRequires: rubygem(grape) >= 1.2.3
# BuildRequires: rubygem(grape) < 1.3
# BuildRequires: rubygem(opentracing_test_tracer) >= 0.1
# BuildRequires: rubygem(opentracing_test_tracer) < 1
# BuildRequires: rubygem(rack-test) >= 1.1
# BuildRequires: rubygem(rack-test) < 2
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.63.0
# BuildRequires: rubygem(rubocop) < 0.64
# BuildRequires: rubygem(rubocop-rspec) >= 1.31
# BuildRequires: rubygem(rubocop-rspec) < 2
BuildArch: noarch

%description
OpenTracing instrumentation for Grape.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/Appraisals
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/grape-instrumentation.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.0-1
- Initial package
